# $Revision: 1.20 $, $Date: 2003/12/19 12:49:24 $
Summary:	A stroke translation library
Summary(pl):	Biblioteka translacji przesuwu myszki
Name:		libstroke
Version:	0.5.1
Release:	2
License:	GPL
Group:		Libraries
Source0:	http://www.etla.net/libstroke/%{name}-%{version}.tar.gz
# Source0-md5:	51b9a4e309ac15cfcab96191eed03cb2
Patch0:		%{name}-am15.patch
Patch1:		%{name}-am18.patch
Patch2:		%{name}-link.patch
URL:		http://www.etla.net/libstroke/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel >= 1.2.7
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibStroke is a stroke translation library. Strokes are motions of the
mouse that can be interpreted by a program as a command. Strokes are
used extensively in CAD programs. I fell in love with them when I was
using the Mentor Graphics CAD tools and the CAD tools internally
developed by Intel.

%description -l pl
LibStroke to biblioteka tumaczca ruchy myszk. Ruchy mog by
przechwycone przez program i zinterpretowane jako komenda. Tego typu
komendy s bardzo czsto stosowane w programach typu CAD.

%package devel
Summary:	Header files for libstroke library
Summary(pl):	Pliki nagwkowe biblioteki libstroke
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libstroke library.

%description devel -l pl
Pliki nagwkowe biblioteki libstroke.

%package static
Summary:	Static libstroke library
Summary(pl):	Biblioteka statyczna libstroke
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libstroke library.

%description static -l pl
Biblioteka statyczna libstroke.

%package -n libgstroke
Summary:	libgstroke - GNOME stroke implementation
Summary(pl):	libgstroke - implementacja stroke dla GNOME
Group:		X11/Libraries
Requires:	gtk+ >= 1.2.7
Conflicts:	libstroke < 0.5.1-2

%description -n libgstroke
libgstroke - GNOME stroke implementation.

%description -n libgstroke -l pl
libgstroke - implementacja stroke dla GNOME.

%package -n libgstroke-devel
Summary:	Header files for libgstroke library
Summary(pl):	Pliki nagwkowe biblioteki libgstroke
Group:		X11/Development/Libraries
Requires:	libgstroke = %{version}-%{release}
Requires:	gtk+-devel >= 1.2.7

%description -n libgstroke-devel
Header files for libgstroke library.

%description -n libgstroke-devel -l pl
Pliki nagwkowe biblioteki libgstroke.

%package -n libgstroke-static
Summary:	Static libgstroke library
Summary(pl):	Statyczna biblioteka libgstroke
Group:		X11/Development/Libraries
Requires:	libgstroke-devel = %{version}-%{release}

%description -n libgstroke-static
Static libgstroke library.

%description -n libgstroke-static -l pl
Statyczna biblioteka libgstroke.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-x \
	--disable-tcl

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYRIGHT CREDITS README NEWS TODO doc/standard_strokes*
%attr(755,root,root) %{_libdir}/libstroke.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libstroke.so
%{_libdir}/libstroke.la
%{_includedir}/stroke.h
%{_aclocaldir}/libstroke.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/libstroke.a

%files -n libgstroke
%defattr(644,root,root,755)
%doc README.libgstroke
%attr(755,root,root) %{_libdir}/libgstroke.so.*.*

%files -n libgstroke-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgstroke.so
%{_libdir}/libgstroke.la
%{_includedir}/gstroke.h
%{_aclocaldir}/libgstroke.m4

%files -n libgstroke-static
%defattr(644,root,root,755)
%{_libdir}/libgstroke.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libstroke.spec,v $
Revision 1.20  2003/12/19 12:49:24  qboosh
- added am18 patch (libstroke.m4 and libgstroke.m4 quotation fixes)
- added link patch (libgstroke linking fix), added missing gtk+ deps
- separated libgstroke (reqs X unlike base package)
- release 2

Revision 1.19  2003/08/28 08:20:32  ankry
- cosmetics

Revision 1.18  2003/05/28 12:59:32  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 05:50:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/05/21 11:09:08  djrzulf
- From: Robert 'dzeus' Grauenis <dzeus@zatorze.slupsk.pl> :
  - added missing BR,

Revision 1.15  2003/01/18 22:53:34  juandon
- removed two lines with define

Revision 1.14  2002/11/27 21:10:41  juandon
- new %%doc

Revision 1.13  2002/11/12 00:03:44  misiek
- updated to 0.5.1

Revision 1.12  2002/10/09 13:14:38  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.11  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.10  2002/05/21 23:14:01  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/03/23 12:33:38  kloczek
- release 2,
- added am15 patch and full regenerate ac/am/lt files.

Revision 1.8  2002/02/23 03:36:23  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/02 20:25:48  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.5  2002/01/18 02:13:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/11/14 11:46:28  filon
- changed to %%%configure2_13, to make it build

Revision 1.3  2001/03/07 20:57:06  misiek
add .la to devel

Revision 1.2  2001/03/07 20:31:38  misiek
cleanup

Revision 1.1  2001/03/07 20:30:30  misiek
new; stb
